Не работает Ethernet (РЕШЕНО)

Установил на старый комп xfce последнюю версию (x86). Нет видит ethernet, рядом на на десятке все прекрасно работает. В гугле ничего интереснее установки драйверов не нашел, но у меня вроде как стоит, пробовал даже enp1s5 переименовать eth0 :confused:. На liveCD нета тоже не было. Пробовал на liveCD mint xfce - тоже нет. Пробовать сетевуху менять, ну не хочется , на винде пашет, а тут... Что делать?

Manjaro Settings Manager (Настройки Манжаро?) -> Hardware
Там правой кнопкой мышки на network-r8168 и выбрать "деинсталировать".

RTL-8110SC/8169SC довольно часто встречается и работает без проблем со встроенным в ядро драйвером r8169.
Попробуйте

sudo modprobe -r r8168
sudo modprobe -r r8169
sudo modprobe r8169

Сделал. Ничего не поменялось, перезагружал, при загрузки стало появляться:

Может в NetworkManager нужно что-то надстроить?

Что там есть в папке /etc/modprobe.d ?

nvdimm-security.conf
А в нем:
install libnvdimm /usr/bin/ndctl load-keys ; /sbin/modprobe --ignore-install libnvdimm $CMDLINE_0PTS

Буду искать "r8169 link down". Может найду решение.

Спасибо

Нашёл

Так что попробуйте отключить IPv6.

Отключил. На роутере и в NetworkManager (метод: игнорировать). Перезагрузил - как не было так и нет. Вот основные настройки NetworkManager (на всякий случай, если вдруг что не так): поле "клонированный мас-адрес" пустует, link negotiation - auto, безопасность 802.1Х выключено, как и DCB, прокси и IPv6. IPv4: метод авто(DHCP), все остальное пустует (на этой вкладке)

Всё правильно...

Попробуйте установить другое ядро может быть. Скачайте пакет на другом компьютере, перенесите на флешку и потом на этот компьютер. Потом
sudo pacman -U /адрес/папки/linux*.pkg.tar.xz

Какой пакет скачать?

https://mirror.datacenter.by/pub/mirrors/manjaro/stable/core/x86_64/linux54-headers-5.4.2-1-x86_64.pkg.tar.xz
https://mirror.datacenter.by/pub/mirrors/manjaro/stable/core/x86_64/linux53-5.3.15-1-x86_64.pkg.tar.xz
https://mirror.datacenter.by/pub/mirrors/manjaro/stable/core/x86_64/linux419-4.19.88-1-x86_64.pkg.tar.xz
https://mirror.datacenter.by/pub/mirrors/manjaro/stable/core/x86_64/linux49-4.9.206-1-x86_64.pkg.tar.xz
https://mirror.datacenter.by/pub/mirrors/manjaro/stable/core/x86_64/linux44-4.4.206-1-x86_64.pkg.tar.xz
https://mirror.datacenter.by/pub/mirrors/manjaro/stable/core/x86_64/linux414-4.14.158-1-x86_64.pkg.tar.xz
https://mirror.datacenter.by/pub/mirrors/manjaro/stable/core/x86_64/linux316-3.16.78-1-x86_64.pkg.tar.xz

"Пакет не имеет допустимой архитектуры"

Понял.

Значит i686, 32Bit. Надо было мне внимательней читать, тогда не пришлось бы долго время тратить.
С этой архитектурой следует ожидать, что многое не будет работать. Оне официально не поддерхивается. Если компьютер работает с x86_64, установите x86_64.

Спасибо за оперативную поддержку.

Комп старый, оперативки только 1 гиг по моему... Попробовал официальные версии manjaro x86_64, некоторые не запускаются, некоторые запускаются, но заставка просто висит, некоторые просто жутко лагают... Вот решил попробовать из неофициальных, взял cinamon: все запустилось, установилось и более менее работает. Но я что-то не разобрался как устанавливать приложения, через стандартный этот установщик "установка и удаление прог" (или как там оно...) я установил (chromium и grub-customizer), но запустить - не запускаются :confused:. Мне искать другой дистрибутив тогда, или этот вопрос можно как-то решить?

1 Like

Forum kindly sponsored by